Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleHintReturn

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleHintReturn

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QStyleHintReturnMask, QStyleHintReturnVariant

    public class QStyleHintReturn

extends QtJambiObject

The `QStyleHintReturn` class provides style hints that return more than basic data types.

`QStyleHintReturn` and its subclasses are used to pass information from a style back to the querying widget. This is most useful when the return value from QStyle::styleHint() does not provide enough detail; for example, when a mask is to be returned.

Nested Class Summary
`static class` | `QStyleHintReturn.HintReturnType` Press link for info on QStyleHintReturn.HintReturnType
`static class` | `QStyleHintReturn.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleHintReturn` subclass.
`static class` | `QStyleHintReturn.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleHintReturn` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QStyleHintReturn()` Equivalent to `QStyleHintReturn`(QStyleOption::Version, SH_Default).
`QStyleHintReturn(int version)` Equivalent to `QStyleHintReturn`(`version`, SH_Default).
`QStyleHintReturn(int version, int type)` Constructs a `QStyleHintReturn` with version `version` and type `type`.

Method Summary
`static QStyleHintReturn` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleHintReturn instance pointed to by nativePointer
`void` | `setType(int type)` Sets the type of the style hint container to `type`.
`void` | `setVersion(int version)` Sets the version of the style hint return container to `version`.
`int` | `type()` Returns the type of the style hint container.
`int` | `version()` Returns the version of the style hint return container.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleHintReturn

    public QStyleHintReturn(int version)

  Equivalent to `QStyleHintReturn`(`version`, SH_Default).

### QStyleHintReturn

    public QStyleHintReturn()

  Equivalent to `QStyleHintReturn`(QStyleOption::Version, SH_Default).

### QStyleHintReturn

    public QStyleHintReturn(int version,
                            int type)

  Constructs a `QStyleHintReturn` with version `version` and type `type`.

  The version has no special meaning for `QStyleHintReturn`; it can be used by subclasses to distinguish between different version of the same hint type.

  See Also:
    `QStyleOption::version`, `QStyleOption::type`

Method Detail

### setVersion

    public final void setVersion(int version)

  Sets the version of the style hint return container to `version`.

  This value can be used by subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast<T>(), you normally don't need to check it.

  See Also:
    `version`

### version

    public final int version()

  Returns the version of the style hint return container.

  This value can be used by subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast<T>(), you normally don't need to check it.

  See Also:
    `setVersion`

### setType

    public final void setType(int type)

  Sets the type of the style hint container to `type`.

  See Also:
    `type`, `HintReturnType`

### type

    public final int type()

  Returns the type of the style hint container.

  See Also:
    `setType`, `HintReturnType`

### fromNativePointer

    public static QStyleHintReturn fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleHintReturn instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD